Cyberduck Mountain Duck CLI

#10458 closed defect (fixed)

Interoperability with AWS Snowball

Reported by: greendm Owned by: dkocher
Priority: normal Milestone: 6.8.0
Component: s3 Version: 6.7.1
Severity: normal Keywords:
Cc: greendm@… Architecture: Intel
Platform: macOS 10.13

Description

Hello,

I am hoping to use Cyberduck to provide users access to AWS Snowball devices. I have begun testing using the "generic S3 profile" available here: https://trac.cyberduck.io/wiki/help/en/howto/s3#GenericS3profiles

Cyberduck is able to connect to S3 endpoint on the Snowball device, but there are errors when attempting to write data. I have attached a screenshot.

Reads from Snowball to local directories works fine, so it feels we are close!

I am able to put a single file to Snowball via Cyberduck, but writing multiple files or a directory fails with the attached screenshot.

Please let me know if any additional information is needed. I would like to be able to suggest Cyberduck to our customers using Snowball.

I have attached the debug log from system.log. Any help is appreciated.

Thanks!

David Green AWS greendm@…

Attachments (1)

cyberduck.log (1.1 MB) - added by greendm on Sep 11, 2018 at 9:06:26 PM.
debug log

Download all attachments as: .zip

Change History (9)

Changed on Sep 11, 2018 at 9:06:26 PM by greendm

debug log

comment:1 Changed on Sep 12, 2018 at 9:11:43 AM by dkocher

  • Component changed from core to s3
  • Milestone set to 7.0
  • Owner set to dkocher
  • Priority changed from high to normal
  • Status changed from new to assigned
Sep 11 14:00:15 ProdTechs-Mac-Pro Cyberduck[1401]: [http-snowball2-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response '/mpp-goodbyestranger-sync/cyberduck/snowball2/' - Received error response without XML content
5858	Sep 11 14:00:15 ProdTechs-Mac-Pro Cyberduck[1401]: [http-snowball2-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Rethrowing as a ServiceException error in performRequest: org.jets3t.service.ServiceException: Request Error. -- ResponseCode: 201, ResponseStatus: null, with cause: org.jets3t.service.impl.rest.HttpException: 201 Created

Version 0, edited on Sep 12, 2018 at 9:11:43 AM by dkocher (next)

comment:2 Changed on Sep 12, 2018 at 9:11:55 AM by dkocher

  • Summary changed from S3 endpoint - AWS Snowball to Interoperability with AWS Snowball

comment:3 Changed on Sep 14, 2018 at 9:12:07 PM by dkocher

https://docs.aws.amazon.com/AmazonS3/latest/API/RESTObjectPUT.html#RESTObjectPUT-responses

We expect a response code of 200 or 204 for a PUT operation but get 201.

comment:4 Changed on Sep 14, 2018 at 9:19:05 PM by dkocher

Upstream fix in 2a76aa5.

comment:5 Changed on Sep 14, 2018 at 9:19:53 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r45070.

comment:6 Changed on Sep 20, 2018 at 6:47:20 AM by dkocher

Please update to the latest snapshot build available.

comment:7 Changed on Sep 20, 2018 at 6:52:01 AM by dkocher

  • Milestone changed from 7.0 to 6.7.2

comment:8 Changed on Sep 20, 2018 at 8:57:36 PM by dkocher

  • Milestone changed from 6.7.2 to 6.8.0

Milestone renamed

Note: See TracTickets for help on using tickets.
swiss made software